Gönderen Konu: [NASIL] Resmi depodan Catalyst kurulumu [systemd sonrası]  (Okunma sayısı 5472 defa)

0 Üye ve 1 Ziyaretçi konuyu incelemekte.

Çevrimdışı decent

  • Administrator
  • *****
  • İleti: 1.086
    • ARCHER KIM
  • Dağıtım: Arch Linux <:> Ubuntu
  • Sürüm: *
  • Ekran Kartı: Nvidia / ATI
http://img6.imagebanana.com/img/afzl8615/catalyst_.GIF" alt="" class="bbc_img" />



Ati Catalyst ekran kartına sahipseniz ve Arch Linux yüklediyseniz bu konumuz sizi ilgilendirebilir.



Buradaki anlatım kaynakta yer alan ilk anlatıma, yani resmi depolardan kuruluma dayanmaktadır.

Diğer üç alternatif kurulum için lütfen kaynak konuya bakınız.





Arch Linux kurulumu sonrasında aşağıdaki komutları yürüterek ekran kartı sürücülerini yükleyebilirsiniz.



32 bit :
Kod: [Seç]
# pacman -Sy catalyst-dkms catalyst-utils linux-headers


64 bit:

Multilib deposu açık olmalıdır.
Kod: [Seç]
# pacman -Sy catalyst-dkms catalyst-utils lib32-catalyst-utils linux-headers


Yükleme bittiğinde yapılandırma dosyası oluşturuyoruz:
Kod: [Seç]
# aticonfig --initial -f


dkms hizmetini etkinleştiriyoruz:
Kod: [Seç]
# systemctl enable dkms.service


Bilgisayarı yeniden başlatıyoruz:
Kod: [Seç]
# reboot

Sistemi yeniden başlattıktan sonra Catalyst sürücüsü etkinleşmiş olarak gelecektir, güle güle kullanın.





Arch Wiki
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »

Çevrimdışı hsngrms

  • İleti: 1.707
Re: [NASIL] Resmi depodan Catalyst kurulumu [systemd sonrası
« Yanıtla #1 : 16 Şubat 2013 - 22:11:32 »
Abi bu anlatım hala güncel mi? Neden soruyorum, multilib deposu bende açık değil ama bu paketleri bulabiliyor o yüzden. 64 bit sürümleri de depoya girmiş herhalde.



Tahmin ettiğim gibiymiş, artık [multilib] deposunu açmaya gerek yok.

https://www.archlinux.org/packages/community/x86_64/catalyst-dkms/" class="bbc_link" target="_blank">http://https://www.archlinux.org/packages/community/x86_64/catalyst-dkms/

https://www.archlinux.org/packages/community/x86_64/catalyst-utils" class="bbc_link" target="_blank">http://https://www.archlinux.org/packages/community/x86_64/catalyst-utils




[/hr]

Gerçi lib32 var orada multilib'den, yüklenmesi zorunlu mudur?
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »

Çevrimdışı decent

  • Administrator
  • *****
  • İleti: 1.086
    • ARCHER KIM
  • Dağıtım: Arch Linux <:> Ubuntu
  • Sürüm: *
  • Ekran Kartı: Nvidia / ATI
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »

Çevrimdışı hsngrms

  • İleti: 1.707
Re: [NASIL] Resmi depodan Catalyst kurulumu [systemd sonrası
« Yanıtla #3 : 17 Şubat 2013 - 00:25:07 »
32 bit OpenGL'e ihtiyaç varsa diyor abi. Nvidia sayfasında ise zorunluluk demiş
Alıntı
Note: For Arch x86_64 you must also install the equivalent lib32 package
Ben daha önce hiç kurmadım Nvidia'nın 32 bit paketlerini ama sorun olmadı. Demekki kurmayınca 32 bit oyunlarda falan sıkıntı oluyor herhalde.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »

Çevrimdışı decent

  • Administrator
  • *****
  • İleti: 1.086
    • ARCHER KIM
  • Dağıtım: Arch Linux <:> Ubuntu
  • Sürüm: *
  • Ekran Kartı: Nvidia / ATI
Re: [NASIL] Resmi depodan Catalyst kurulumu [systemd sonrası
« Yanıtla #4 : 17 Şubat 2013 - 01:55:30 »
[bilgi]
Alıntı yapılan: "https://wiki.archlinux.org/index.php/Catalyst#Installing_from_the_official_repository"
If you are on 64 bit and also need 32 bit OpenGL support, install lib32-catalyst-utils. Note that you will have to enable the [multilib] repository first.
[/bilgi]
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »

Çevrimdışı hsngrms

  • İleti: 1.707
Re: [NASIL] Resmi depodan Catalyst kurulumu [systemd sonrası
« Yanıtla #5 : 17 Şubat 2013 - 03:17:06 »
Alıntı yapılan: "decent"
[bilgi]
Alıntı yapılan: "https://wiki.archlinux.org/index.php/Catalyst#Installing_from_the_official_repository"
If you are on 64 bit and also need 32 bit OpenGL support, install lib32-catalyst-utils. Note that you will have to enable the [multilib] repository first.
[/bilgi]

Neyse daha fazla uzatmayayım. Kullanan daha iyi bilir. :)
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »

Çevrimdışı curelight

  • İleti: 127
Re: [NASIL] Resmi depodan Catalyst kurulumu [systemd sonrası
« Yanıtla #6 : 17 Şubat 2013 - 09:43:22 »
Alıntı yapılan: "hsngrms"
32 bit OpenGL'e ihtiyaç varsa diyor abi. Nvidia sayfasında ise zorunluluk demiş
Alıntı
Note: For Arch x86_64 you must also install the equivalent lib32 package
Ben daha önce hiç kurmadım Nvidia'nın 32 bit paketlerini ama sorun olmadı. Demekki kurmayınca 32 bit oyunlarda falan sıkıntı oluyor herhalde.


Mesela lib32-nvidia-utils paketini kurmadan google-earth de görüntü elde edememiştim.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »

Çevrimdışı hsngrms

  • İleti: 1.707
Re: [NASIL] Resmi depodan Catalyst kurulumu [systemd sonrası
« Yanıtla #7 : 17 Şubat 2013 - 14:09:42 »
Alıntı yapılan: "curelight"
Mesela lib32-nvidia-utils paketini kurmadan google-earth de görüntü elde edememiştim.

32 bit uygulama kullanmıyorum muhtemelen o yüzden sıkıntı olmuyor. Benim anlatmak istediğim de oydu, zorunlu değil aslında yani lib32 kurmadım masaüstünü göremezsin diye bir durum yok ama 32 bit uygulama kullanacaklar için şart tabiki. Bu nedenle Wiki'de eğer ihtiyaç varsa kurun denmiş.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »

Çevrimdışı tarakbumba

  • İleti: 252
Re: [NASIL] Resmi depodan Catalyst kurulumu [systemd sonrası
« Yanıtla #8 : 17 Şubat 2013 - 16:04:55 »
Benim tavsiyem, depolardaki catalyst paketini kurmak yerine AUR üzerindeki catalyst-test paketinin kurulması. Bu paket, catalyst beta sürücülerini içeriyor ve biz ati kullanıcılarının yaşadığı Xorg uyumsuzluğuna genelde çare oluyor. Malum, beta sürücü o anki güncel Xorg için yapıldığından şahsen bu konuda ben daha az sorun yaşıyorum. Ayrıca bu paket hem catayst-hook hem de lib32-catalyst-utils paketini içeriyor.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »

Çevrimdışı decent

  • Administrator
  • *****
  • İleti: 1.086
    • ARCHER KIM
  • Dağıtım: Arch Linux <:> Ubuntu
  • Sürüm: *
  • Ekran Kartı: Nvidia / ATI
Re: [NASIL] Resmi depodan Catalyst kurulumu [systemd sonrası
« Yanıtla #9 : 28 Nisan 2013 - 13:17:53 »
[profile]tarakbumba[/profile]' nın söylediği gibi



catalyst-test - 13.4-1 [Son Güncelleme:    2013-04-27 21:13]



paketini yükleyerek aşağıdaki çıktıyı sağlayabildim.


Kod: [Seç]
$ fglrxinfo
display: :0  screen: 0
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: ATI Radeon HD 5700 Series
OpenGL version string: 4.2.12217 Compatibility Profile Context 12.104

$


[ikaz]ÖNEMLİ NOT:

[c]catalyst-utils[/c] ve [c]catalyst-dkms[/c] paketleri resmi depodan kaldırıldığı konu kilitlenmiştir.[/ikaz]
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »